%global major 0
%define libname %mklibname epoxy %{major}
%define devname %mklibname epoxy -d

Summary:	Direct Rendering Manager runtime library
Name:		libepoxy
Version:	1.2
Release:	3
License:	MIT
Group:		System/Libraries
Url:		http://github.com/anholt/libepoxy
Source0:	https://codeload.github.com/anholt/libepoxy/tar.gz/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	x11-util-macros
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)

%description
A library for handling OpenGL function pointer management.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Direct Rendering Manager runtime library
Group:		System/Libraries

%description -n %{libname}
A library for handling OpenGL function pointer management.

%files -n %{libname}
%{_libdir}/libepoxy.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for libepoxy
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devname}
%doc README.md
%dir %{_includedir}/epoxy
%{_includedir}/epoxy/*
%{_libdir}/libepoxy.so
%{_libdir}/pkgconfig/epoxy.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
./autogen.sh

%configure \
	--disable-silent-rules

%make

%install
%makeinstall_std


%changelog
* Mon Feb 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2-3
+ Revision: 9fe6cb0
- Adjust spec style


